/* Base styles */
body {
    margin: 0;
    padding: 0;
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    font-family: Arial, sans-serif;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

/* Default (Desktop) background */
body {
    background-image: url('../images/desktop-background.jpg');
}

/* Mobile background */
@media (max-width: 768px) {
    body {
        background-image: url('../images/mobile-background.jpg');
    }
}

/* Typography */

body {
    font-family: "Quicksand", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

h1 {
    font-size: 48px;
    flex-direction: row;
    font-family: "MuseoModerno", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    text-shadow: 1px 1px 0 #333, 2px 2px 4px rgba(0, 0, 0, 0.4);
}

h2 {
    font-family: "Quicksand", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-size: 24px;
    font-style: normal;
    text-shadow: 1px 1px 0 #333, 2px 2px 4px rgba(0, 0, 0, 0.4);
}


footer {
    padding: 20px;
}



a {
    color: gold;
    text-decoration: none;
    cursor: pointer;
}


a:hover, a:active {
    color: yellow;
    text-decoration: none;
}

a:visited {
    color: gold;
    text-decoration: none;
}

.container {
    display: flex;
    flex-direction: column;
}

.link-box {
    border-radius: 10px;
    cursor: pointer;
    padding: 10px;
    background-color: rgba(0,0,0, .5);
    transition: background-color 0.2s ease;
    border: 1px solid rgba(255,255,255, .1);
    color: gold;
    display: inline-block;
}

.link-box * {
    vertical-align: middle;
}

.link-box:hover {
    background-color: rgba(255,255,255, .01);
}

.link-box:hover {
    background-color: rgba(255,255,255, .05);
}

.text-layered-shadow {
    text-shadow: 1px 1px 0 #333, 2px 2px 4px rgba(0, 0, 0, 0.4);
}
